package workerthreads.getmetadata;

/**
 * stores metadata for one database-attribute in one table
 * 
 * @author Martin Pabst, 2009
 * 
 */
public class Attribute {

	/**
	 * table identifier
	 */
	private String table = "";

	/**
	 * column identifier
	 */
	private String column = "";

	/**
	 * get table identifier
	 * 
	 * @return
	 */
	public String getTable() {
		return table;
	}

	/**
	 * set table identifier
	 * 
	 * @param table
	 */
	public void setTable(String table) {
		this.table = table;
	}

	/**
	 * get column identifier
	 * 
	 * @return
	 */
	public String getColumn() {
		return column;
	}

	/**
	 * set column identifier
	 * 
	 * @param column
	 */
	public void setColumn(String column) {
		this.column = column;
	}

	/**
	 * constructor
	 * 
	 * @param table
	 * @param column
	 */
	public Attribute(String table, String column) {
		super();
		this.table = table;
		this.column = column;
	}

}
